Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.tree
Interface TreeIcons

All Known Implementing Classes:
  DefaultTreeIcons

    public interface TreeIcons

This interface is called by the Tree rendering code to retrieve named icon images. These icons are sued to provide visuals such as the lines between tree nodes and expnasion handles. The `TreeIcons` interface can be used by `TreeCellRenderer` objects to obtain default icons for "parent" and "leaf" nodes in the Tree.

The tree will ask for nodes with the following names :

ICON_PLUS - the expanding + for normal nodes with children
ICON_PLUSBOTTOM - the expanding + for the last node of a parent node
ICON_MINUS - the contracting - for normal nodes with children
ICON_MINUSBOTTOM - the contracting - for the last node of a parent node
ICON_FOLDER - a folder icon for closed nodes with children
ICON_FOLDEROPEN - a folder icon for opened nodes with children
ICON_JOIN - a joiner line icon for a normal nodes
ICON_JOINEBOTTOM - a joiner line icon for the last node of a parent node
ICON_JOINENOLINE - a joiner icon for normal nodes when no lines awre required
ICON_LEAF - a leaf icon for nodes with no children
ICON_LINE - a line icon between nodes
ICON_EMPTY - a empty icon between nodes
ICON_ROOT - a root icon
ICON_ROOTOPEN - a root open icon

Field Summary
`static java.lang.String` | `ICON_EMPTY`
`static java.lang.String` | `ICON_FOLDER`
`static java.lang.String` | `ICON_FOLDEROPEN`
`static java.lang.String` | `ICON_JOIN`
`static java.lang.String` | `ICON_JOINBOTTOM`
`static java.lang.String` | `ICON_JOINNOLINE`
`static java.lang.String` | `ICON_LEAF`
`static java.lang.String` | `ICON_LINE`
`static java.lang.String` | `ICON_MINUS`
`static java.lang.String` | `ICON_MINUSBOTTOM`
`static java.lang.String` | `ICON_PLUS`
`static java.lang.String` | `ICON_PLUSBOTTOM`
`static java.lang.String` | `ICON_ROOT`
`static java.lang.String` | `ICON_ROOTOPEN`

Method Summary
`ImageReference` | `getIcon(java.lang.String iconName)` Returns an icon image with the given name
`void` | `setIcon(java.lang.String iconName, ImageReference iconImage)` Sets a named icon image into the TreeIcon object

Field Detail

### ICON_PLUS

    static final java.lang.String ICON_PLUS

See Also:
  Constant Field Values

### ICON_PLUSBOTTOM

    static final java.lang.String ICON_PLUSBOTTOM

See Also:
  Constant Field Values

### ICON_MINUS

    static final java.lang.String ICON_MINUS

See Also:
  Constant Field Values

### ICON_MINUSBOTTOM

    static final java.lang.String ICON_MINUSBOTTOM

See Also:
  Constant Field Values

### ICON_FOLDER

    static final java.lang.String ICON_FOLDER

See Also:
  Constant Field Values

### ICON_FOLDEROPEN

    static final java.lang.String ICON_FOLDEROPEN

See Also:
  Constant Field Values

### ICON_JOIN

    static final java.lang.String ICON_JOIN

See Also:
  Constant Field Values

### ICON_JOINBOTTOM

    static final java.lang.String ICON_JOINBOTTOM

See Also:
  Constant Field Values

### ICON_JOINNOLINE

    static final java.lang.String ICON_JOINNOLINE

See Also:
  Constant Field Values

### ICON_LEAF

    static final java.lang.String ICON_LEAF

See Also:
  Constant Field Values

### ICON_LINE

    static final java.lang.String ICON_LINE

See Also:
  Constant Field Values

### ICON_EMPTY

    static final java.lang.String ICON_EMPTY

See Also:
  Constant Field Values

### ICON_ROOT

    static final java.lang.String ICON_ROOT

See Also:
  Constant Field Values

### ICON_ROOTOPEN

    static final java.lang.String ICON_ROOTOPEN

See Also:
  Constant Field Values

Method Detail

### getIcon

    ImageReference getIcon(java.lang.String iconName)

  Returns an icon image with the given name

### setIcon

    void setIcon(java.lang.String iconName,
                 ImageReference iconImage)

  Sets a named icon image into the TreeIcon object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD